import { Component, NgZone } from '@angular/core';
import { BotonServiceService } from 'src/app/boton-service.service';
import { Router } from '@angular/router';
import { ModalService } from '../modal/modal.service';

@Component({
  selector: 'app-botonera',
  templateUrl: './botonera.component.html',
  styleUrls: ['./botonera.component.scss']
})

export class AppBotonera {
  botones = new BotonServiceService().getBotones();
  paginas = [1];

  constructor(
    public router: Router,
    private ngZone: NgZone,
    private modalService: ModalService) { }

  showTerminal() {

    this.modalService.alert(`No disponible en este momento.`);
  }

  comprobantes() {
    this.ngZone.run(() => {
      this.router.navigate(['/comprobantes']);
    });
  }

}
